Subject: Re: bug#32485: 27.0.50; Problem with zerop on 32-bit platforms

From: Ken Brown <[email-masked]>
Date: Mon, 20 Aug 2018 15:54:46 -0400

On 8/20/2018 2:46 PM, Andy Moreton wrote:
> On Mon 20 Aug 2018, Ken Brown wrote:
> 
>> Evaluating (zerop (lsh -1 32)) on 32-bit Cygwin yields
>>
>> Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p
>> -4294967296)
>>
>> I realize that the fate of lsh is still being debated, but I think
>> there's a problem with zerop anyway, because directly evaluating (zerop
>> -4294967296) leads to the same error.
> 
> Could this be bug#32477 ? Please try the patch I posted in:
> http://lists.gnu.org/archive/html/bug-gnu-emacs/2018-08/msg00467.html

Yes, that does fix the error.  Thanks.

But let's leave the bug open, because vc-hg-state-fast might still need 
attention.  Currently (zerop (lsh -1 32)) returns nil on all platforms, 
so it's useless; but that might change.

Ken